package com.changda.gjjapp.common.service;
import java.util.*;
import com.changda.gjjapp.db.entity.B_ZJZX;
public interface IB_ZJZXService
{
 
 B_ZJZX queryByKey(Map map);
 
 List<B_ZJZX> query(Map map);
 
 int count(Map map);
 
 int countByKey(String zjzxdm);
 
 void insert(B_ZJZX b_zjzx);
 
 void delete(B_ZJZX b_zjzx);
 
 void deleteByKey(String zjzxdm);
 
 void update(B_ZJZX b_zjzx);
 
 void insert(List<B_ZJZX> listb_zjzx);
 
 void update(List<B_ZJZX> listb_zjzx);
 
 void delete(List<B_ZJZX> listb_zjzx);
}

